// Задача "Сумма делителей - 2"
// 4-ая Интернет-олимпиада сезона 2007-2008, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Антон Феськов, argentony@gmail.com 

import java.io.*;
import java.util.*;

public class divsum2_af {
	public static void main(String[] args) throws IOException {
		Scanner in = new Scanner(new File("divsum2.in"));
		PrintWriter out = new PrintWriter("divsum2.out");
		long n = in.nextLong();
		long ans = 1;
		for (int i = 2; i <= 1000; i++) {
			long tn = i;
			long tans = 0;
			while (n % i == 0) {
				n /= i;
				tans += tn;
				tn *= i;
			}
			if (tans != 0) {
				ans *= tans;
			}
		}
		out.println(ans);
		out.close();
	}
}
